## libcdrom-ocaml 0.9.1

=== Makefile ===
OBUILDOPTS=--debug+
#CONFOPTS=--enable-library-bytecode --enable-executable-bytecode
PKGNAME=cdrom

SUFFIXES:=cdrom.a cdrom.cmi cdrom.cmx cdrom.o dllstubs_cdrom.so \
       cdrom.cma  cdrom.cmo  cdrom.cmxa  cdrom_stubs.c.o  libstubs_cdrom.a
FILES:=$(addprefix dist/build/lib-$(PKGNAME)/,$(SUFFIXES))

ifneq "$(DESTDIR)" ""
INSTALL_ARGS := -destdir $(DESTDIR)
endif

.PHONY: configure build install clean uninstall

all: build

configure:
	obuild $(OBUILDOPTS) configure $(CONFOPTS)

build: configure
	obuild $(OBUILDOPTS) build

install: build
	ocamlfind remove $(PKGNAME)
	ocamlfind install $(PKGNAME) $(FILES) lib/META lib/$(PKGNAME).mli $(INSTALL_ARGS)

clean:
	obuild clean

uninstall:
	ocamlfind remove $(PKGNAME)

=== debian/changelog ===
libcdrom-ocaml (0.9.1-3) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Fri, 30 May 2014 12:00:00 +0000

libcdrom-ocaml (0.9.1-2) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 28 May 2013 12:00:00 +0000

=== debian/control ===
Source: libcdrom-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 ocaml-obuild,
 ocaml-findlib,
 ocaml-native-compilers

Package: libcdrom-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Query the state of CDROM devices
 Simple C bindings which allow the state of CDROM devices (and discs
 inside) to be queried under Linux.

Package: libcdrom-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libcdrom-ocaml (>= 0.9.1-3)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-cdrom
 The ocaml-cdrom-devel package contains libraries and signature files
 for developing applications that use ocaml-cdrom.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libcdrom-ocaml/usr/lib/ocaml/cdrom/*.a
	rm -f debian/libcdrom-ocaml/usr/lib/ocaml/cdrom/*.cmxa
	rm -f debian/libcdrom-ocaml/usr/lib/ocaml/cdrom/*.cmx
	rm -f debian/libcdrom-ocaml/usr/lib/ocaml/cdrom/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
